﻿#include "DialogueTree.h"
#include "DialogueTextNode.h"
#include "DialogueEdge.h"

#define LOCTEXT_NAMESPACE "DialogueSession"

UDialogueTree::UDialogueTree()
{
	NodeType = UGenericGraphNode::StaticClass();
	EdgeType = UDialogueEdge::StaticClass();

	LeftDialogueBgColor = FLinearColor::Black;
	RightDialogueBgColor = FLinearColor(0.93f, 0.93f, 0.93f, 1.f);

	Name = "Dialogue Tree";
}

#undef LOCTEXT_NAMESPACE