﻿#pragma once

#include "CoreMinimal.h"
#include "GenericGraph.h"
#include "DialogueTree.generated.h"

UCLASS(Blueprintable)
class ENDLESSVENDETTA_API UDialogueTree: public UGenericGraph
{
	GENERATED_BODY()

public:
	UDialogueTree();

	UPROPERTY(EditDefaultsOnly, Category = "Dialogue")
	FLinearColor LeftDialogueBgColor;

	UPROPERTY(EditDefaultsOnly, Category = "Dialogue")
	FLinearColor RightDialogueBgColor;
};